package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模板项目对象 fs_test_temp_item
 *
 * @author fs
 * @date 2023-09-04
 */
public class FsTestTempItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long itemId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 项目类型 数据字典 */
    @Excel(name = "项目类型 数据字典")
    private String itemType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 分值JSON */
    @Excel(name = "分值JSON")
    private String scoreJson;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setTempId(Long tempId)
    {
        this.tempId = tempId;
    }

    public Long getTempId()
    {
        return tempId;
    }
    public void setItemType(String itemType)
    {
        this.itemType = itemType;
    }

    public String getItemType()
    {
        return itemType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setScoreJson(String scoreJson)
    {
        this.scoreJson = scoreJson;
    }

    public String getScoreJson()
    {
        return scoreJson;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("itemId", getItemId())
            .append("tempId", getTempId())
            .append("itemType", getItemType())
            .append("title", getTitle())
            .append("scoreJson", getScoreJson())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("sort", getSort())
            .toString();
    }
}
